Bug 613951 - Wacom Bamboo CTH-460 doesn't work
Wacom Bamboo CTH-460 doesn't work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
: 655444 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 07:08 EDT by Francesco Frassinelli (frafra)
Modified: 2012-07-15 08:06 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-31 00:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francesco Frassinelli (frafra) 2010-07-13 07:08:33 EDT
Description of problem:

Wacom Bamboo CHT-460 doesn't work

Steps to Reproduce:
1. Plug
2. Play
  
Actual results:
It doesn't work

Expected results:
It should work

Additional info:
If you build manually latest linuxwacom wacom.ko driver, it works.
Comment 1 Chuck Ebbert 2010-07-14 12:56:13 EDT
The linuxwacom authors should be pushing their updates into the upstream linux kernel.
Comment 2 Francesco Frassinelli (frafra) 2010-07-15 03:21:39 EDT
Also, tapping doesn't work.
Comment 4 Chuck Ebbert 2010-09-19 23:21:35 EDT
I have this working in the rawhide kernel. In order to get the pen & touch working you also need to rename xorg.conf.d/50-wacom.conf to 40-wacom.conf so that the synaptics driver claims the touchpad part of the tablet.
Comment 5 Chuck Ebbert 2010-09-20 11:39:13 EDT
(In reply to comment #4)
> I have this working in the rawhide kernel. In order to get the pen & touch
> working you also need to rename xorg.conf.d/50-wacom.conf to 40-wacom.conf so
> that the synaptics driver claims the touchpad part of the tablet.

Peter, are there any drawbacks to renaming that file? Could it cause a bug on a machine without Wacom devices?
Comment 6 Chris Bagwell 2010-10-22 12:23:32 EDT
I believe renaming 50-wacom.conf would cause Wacom Tablet PC's touch interface to also be remapped to xf86-input-synaptics and touch would stop working.  Those use a special set of events that confuse xf86-input-synaptics.

I believe long term (2.6.37 or later) the Tablet PC events will be aligned with Bamboo touch events and use MT.  Then it would be OK to rename file.

But then again I'm working on a set of patches that will allow the above kernel patches to work with xf86-input-wacom which reduces need to rename file.
Comment 7 Peter Hutterer 2010-10-24 19:27:08 EDT
Chris, what configuration do you currently use for your tablet? So that it gets picked up by synaptics correctly?
Any reason we couldn't use the same config in fedora?
Comment 8 Chris Bagwell 2010-10-24 20:19:21 EDT
I don't worry about Tablet PC since I don't have one so I just rename 50-wacom.conf as well.  To test xf86-input-multitouch, I do add following:

Section "InputClass"
        Identifier "Wacom class"
        MatchProduct "Wacom|WACOM"
        MatchIsTouchpad "on"
        MatchDevicePath "/dev/input/event*"
        Driver "multitouch"
EndSection

The above I'm sure also matches Tablet PC's which would be bad because at least Tablet PC drivers ship with fedora kernels today and so work out of the box.

Once we get Bamboo MT drivers in Fedora kernel then I think we could ship 50-wacom.conf with something like above but make MatchProduct more specific to not catch Tablet PC's.

I haven't figured out were Product values are from.  If its from kernel driver then we could limit by saying MatchProduct "Wacom USB Bamboo".  If its from USB Product ID then its harder.

Also, I've not tried Rawhides kernel recently but Fedora 14 branch does not have the Bamboo MT drivers in kernel yet.  I do not believe 2.6.36 contains them either and so rawhide would have needed to port over above listed patches for touch and my 5 patches for stylus from linux-input next.

I'd not recommend doing any changes until Bamboo MT drivers are in a fedora kernel because all the recommended xorg.conf.d changes in this report are not compatible with Bamboo kernel drivers that ship with linuxwacom.
Comment 9 Chris Bagwell 2010-10-24 20:31:32 EDT
A little extra information on "Tablet PC".  Wacom Tablet PC's create 2 /dev/input/event's like Bamboo.  1 is detected by udev as tablet (has BTN_TOOL_FINGER) and the other is detect by udev as touchpad (has BTN_TOUCH and not much else).  

Even though this later /dev/input/event looks touchpad-ish, it is very much not and xf86-input-synaptics doesn't work with it (cursor doesn't move at all).

So this is downside of renaming 50-wacom.conf to 40-wacom.conf since it would assign to synaptics.

I believe Ping is on board with submitting patches to upstream to make that touchpad-ish device to truly become compatible with xf86-input-synaptics but doesn't have time to any time soon.  Perhaps someone with Tablet PC could help develop and submit earlier (I do not have one).

Once thats done, it probably is a better idea to rename 50-wacom.conf to 40-wacom.conf instead of using work arounds as listed in comment #8.
Comment 10 collura 2010-11-05 15:59:54 EDT
minor point, i think you mistyped your model number.

i have a CTH-460/K which i am guessing is also what you have, and which doesnt work yet.

however the subject line calls out a 'CHT' instead of 'CTH', 
i am guessing this is a typo.  if it is truly a typo could you update the subject model name to CTH please.  thanks.

http://www.wacom.com/productsupport/model.php

  CT: PenPartner
  CTE: Graphire4/Graphire3/Graphire Wireless/BambooFun
  CTH: Bamboo Pen & Touch/Bamboo Craft/Bamboo Fun
  CTL: Bamboo Pen
  CTT: Bamboo Touch
  DTF: DTF-510/DTF-521/DTF-720
  DTI: DTI-520
  DTU: DTU-710
  DTZ or DTK: Cintiq 21UX
  ETA: Graphire2
  ET: Graphire
  GD: Intuos
  KT: ArtPad
  MTE: Bamboo
  PL: Cintiq 15X/Cintiq 18SX/PL Series
  PTK: Intuos4
  PTU: Cintiq Partner
  PTZ: Intuos3
  SD: SD Series
  UD: ArtZ/ArtZ II/UD Series
  XD: Intuos2
Comment 11 Peter Hutterer 2010-11-22 00:49:38 EST
*** Bug 655444 has been marked as a duplicate of this bug. ***
Comment 12 collura 2011-01-19 23:19:10 EST
cth-460/k looks to be working in rawhide f15 kde:

https://bugzilla.redhat.com/show_bug.cgi?id=560266#c22

   kernel-2.6.37-2.fc15.x86_64
   xorg-x11-drv-wacom-0.10.10-2-20101122-fc15.x86_64
Comment 13 Chris Bagwell 2011-04-03 23:38:41 EDT
Yep, Bamboo support is in kernel 2.6.37 and at least xf86-input-wacom 0.10.10. The device is fully supported by xf86-input-wacom and touchpad doesn't require remapping to synaptics (although you can if you prefer its behaviour). So this bug report can be closed now.

There maybe 1 very new special edition Bamboo device that will only work with 2.6.39 once thats released but thats life with new hardware (no change to xf86-input-wacom will be needed).
Comment 14 collura 2011-05-27 16:30:33 EDT
doh, in f15-gnome the cursor doesnt seem to respond to finger movement any more 
but pen still works

https://bugzilla.redhat.com/show_bug.cgi?id=496699#c47
Comment 15 Chris Bagwell 2011-05-28 00:19:23 EDT
For comment #14, I think your hitting bug #697986 now.  xf86-input-wacom driver should be working fine for Bamboo.

The issue is in gnome-settings-daemon now.  Running this command should fix it:

gsettings set org.gnome.settings-daemon.peripherals.wacom touch true

A fix has already made it to updates-testing *but* I think for pre-existing users you must still issue above command to fix the default values already installed.
Comment 16 Peter Hutterer 2011-05-31 00:28:31 EDT
Closing as CURRENTRELEASE, bamboos work in F15 now.

The touch behaviour is as Chris said is bug 697986 but in your case you need to manually change it now.
Comment 17 Bug Zapper 2011-06-01 10:04:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Francesco Frassinelli (frafra) 2012-07-15 08:06:49 EDT
(In reply to comment #10)
> minor point, i think you mistyped your model number.
> 
> i have a CTH-460/K which i am guessing is also what you have, and which
> doesnt work yet.
> 
> however the subject line calls out a 'CHT' instead of 'CTH', 
> i am guessing this is a typo.  if it is truly a typo could you update the
> subject model name to CTH please.  thanks.

Sorry, you're right, it's a typo. Fixed.

Note You need to log in before you can comment on or make changes to this bug.